Index: Include/Classes/System/Drawing/Graphics.ab
===================================================================
--- Include/Classes/System/Drawing/Graphics.ab	(revision 33)
+++ Include/Classes/System/Drawing/Graphics.ab	(revision 104)
@@ -4,19 +4,30 @@
 #define __SYSTEM_DRAWING_GRAPHICS_AB__
 
-#include <GdiPlusGpStabus.ab>
+Class Brush : End Class
+Class Pen : End Class
+Class StringFormat : End Class
+Class Image : End Class
+Class ImageAttributes : End Class
+Class Metafile : End Class
+Class Region : End Class
+Class GraphicsPath : End Class
+Class CachedBitmap : End Class
+
+#include <GdiplusGpStubs.ab>
 #include <GdiPlusFlat.ab>
-#include <Classes/System/Drawing/Graphics/misc.ab>
-#include <Classes/System/Drawing/Graphics/Rectangle.ab>
-#include <Classes/System/Drawing/Graphics/RectangleF.ab>
-#include <Classes/System/Drawing/Graphics/Point.ab>
-#include <Classes/System/Drawing/Graphics/PointF.ab>
-#include <Classes/System/Drawing/Graphics/SizeF.ab>
-#include <Classes/System/Drawing/Graphics/Brush.ab>
-#include <Classes/System/Drawing/Graphics/Pen.ab>
-#include <Classes/System/Drawing/Graphics/Region.ab>
-#include <Classes/System/Drawing/Graphics/StringFormat.ab>
-#include <Classes/System/Drawing/Graphics/Image.ab>
-#include <Classes/System/Drawing/Graphics/Drawing2D/misc.ab>
-#include <Classes/System/Drawing/Graphics/Drawing2D/Matrix.ab>
+#include <Classes/System/Drawing/misc.ab>
+#include <Classes/System/Drawing/Rectangle.ab>
+#include <Classes/System/Drawing/RectangleF.ab>
+#include <Classes/System/Drawing/Point.ab>
+#include <Classes/System/Drawing/PointF.ab>
+#include <Classes/System/Drawing/SizeF.ab>
+#include <Classes/System/Drawing/Font.ab>
+'#include <Classes/System/Drawing/Brush.ab>
+'#include <Classes/System/Drawing/Pen.ab>
+'#include <Classes/System/Drawing/Region.ab>
+'#include <Classes/System/Drawing/StringFormat.ab>
+'#include <Classes/System/Drawing/Image.ab>
+#include <Classes/System/Drawing/Drawing2D/misc.ab>
+#include <Classes/System/Drawing/Drawing2D/Matrix.ab>
 
 Class Graphics
@@ -225,5 +236,5 @@
 		Dim graphics = 0 As *GpGraphics
 		If (image != 0)
-			lastResult = GdipGetImageGraphicsContext(image->nativeImage, graphics)
+			lastResult = GdipGetImageGraphicsContext(image->NativeImage, graphics)
 		End If
 		SetNativeGraphics(graphics)
@@ -443,5 +454,5 @@
 	End Function
 
-	Function DrawArc(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ RectangleF, startAngle As Single, sweepAngle As Single) As Status
+	Function DrawArc(ByRef pen As /*Const*/ Pen, ByRef rect As /*Const*/ Rectangle, startAngle As Single, sweepAngle As Single) As Status
 		Return DrawArc(pen, rect.X, rect.Y, rect.Width, rect.Height, startAngle, sweepAngle)
 	End Function
@@ -467,5 +478,5 @@
 	End Function
 
-	Function DrawBeziers(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point count As Long) As Status
+	Function DrawBeziers(ByRef pen As /*Const*/ Pen, points As /*Const*/ *Point, count As Long) As Status
 		Return SetStatus(GdipDrawBeziersI(nativeGraphics, pen->nativePen, points, count))
 	End Function
@@ -706,5 +717,5 @@
 	End Function
 
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
+	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ Rectangle,
 		ByRef stringFormat As /*Const*/ StringFormat, ByRef brush As /*Const*/ Brush) As Status
 
@@ -721,5 +732,5 @@
 			nativeFormat = 0
 		End If
-		Return SetStatus(GdipDrawString( nativeGraphics, str, length, nativeFont, layoutRect, nativeFormat, 0))
+		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, layoutRect, nativeFormat, 0))
 	End Function
 
@@ -746,4 +757,34 @@
 		End If
 		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, layoutRect, nativeFormat, nativeBrush))
+	End Function
+
+	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ Point) As Status
+		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
+		Dim nativeFont As *GpFont
+		If VarPtr(font) <> 0 Then
+			nativeFont = font.nativeFormat
+		Else
+			nativeFont = 0
+		End If
+		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, rect, 0, 0))
+	End Function
+
+	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
+		ByRef brush As /*Const*/ Brush) As Status
+
+		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
+		Dim nativeFont As *GpFont
+		If VarPtr(font) <> 0 Then
+			nativeFont = font.nativeFormat
+		Else
+			nativeFont = 0
+		End If
+		Dim nativeBrush As *GpBrush
+		If VarPtr(brush) <> 0 Then
+			nativeBrush = brush.nativeFormat
+		Else
+			nativeBrush = 0
+		End If
+		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, rect, 0, nativeBrush))
 	End Function
 
@@ -760,5 +801,5 @@
 
 	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
-		ByRef brush As /*Const*/ Brush) As Status
+		ByRef stringFormat As /*Const*/ StringFormat) As Status
 
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
@@ -769,14 +810,16 @@
 			nativeFont = 0
 		End If
-		Dim nativeBrush As *GpBrush
-		If VarPtr(brush) <> 0 Then
-			nativeBrush = brush.nativeFormat
-		Else
-			nativeBrush = 0
-		End If
-		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, rect, 0, nativeBrush))
-	End Function
-
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF) As Status
+		Dim nativeFormat As *GpStringFormat
+		If VarPtr(stringFormat) <> 0 Then
+			nativeFormat = stringFormat.nativeFormat
+		Else
+			nativeFormat = 0
+		End If
+		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, rect, nativeFormat, 0))
+	End Function
+
+	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
+		ByRef stringFormat As /*Const*/ StringFormat, ByRef brush As /*Const*/ Brush) As Status
+
 		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
 		Dim nativeFont As *GpFont
@@ -786,11 +829,35 @@
 			nativeFont = 0
 		End If
-		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, rect, 0, 0))
-	End Function
-
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
-		ByRef stringFormat As /*Const*/ StringFormat) As Status
-
-		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
+		Dim nativeFormat As *GpStringFormat
+		If VarPtr(stringFormat) <> 0 Then
+			nativeFormat = stringFormat.nativeFormat
+		Else
+			nativeFormat = 0
+		End If
+		If VarPtr(brush) <> 0 Then
+			nativeBrush = brush.nativeFormat
+		Else
+			nativeBrush = 0
+		End If
+		Return SetStatus(GdipDrawString( nativeGraphics, str, length, nativeFont, rect, nativeFormat, nativeBrush))
+	End Function
+
+	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
+		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF) As Status
+
+		Return MeasureString(str, length, font, layoutRect, stringFormat, boundingBox, ByVal 0, ByVal 0)
+	End Function
+
+	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
+		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF,
+		ByRef codepointsFitted As Long) As Status
+
+		Return MeasureString(str, length, font, layoutRect, stringFormat, boundingBox, codepointsFitted, ByVal 0)
+	End Function
+
+	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
+		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF,
+		ByRef codepointsFitted As Long, ByRef linesFilled As Long) As Status
+
 		Dim nativeFont As *GpFont
 		If VarPtr(font) <> 0 Then
@@ -805,60 +872,4 @@
 			nativeFormat = 0
 		End If
-		Return SetStatus(GdipDrawString(nativeGraphics, str, length, nativeFont, rect, nativeFormat, 0))
-	End Function
-
-	Function DrawString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef origin As /*Const*/ PointF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef brush As /*Const*/ Brush) As Status
-
-		Dim rect As RectangleF(origin.X, origin.Y, 0.0, 0.0)
-		Dim nativeFont As *GpFont
-		If VarPtr(font) <> 0 Then
-			nativeFont = font.nativeFormat
-		Else
-			nativeFont = 0
-		End If
-		Dim nativeFormat As *GpStringFormat
-		If VarPtr(stringFormat) <> 0 Then
-			nativeFormat = stringFormat.nativeFormat
-		Else
-			nativeFormat = 0
-		End If
-		If VarPtr(brush) <> 0 Then
-			nativeBrush = brush.nativeFormat
-		Else
-			nativeBrush = 0
-		End If
-		Return SetStatus(GdipDrawString( nativeGraphics, str, length, nativeFont, rect, nativeFormat, nativeBrush))
-	End Function
-
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF) As Status
-
-		Return MeasureString(str, length, font, layoutRect, stringFormat, boundingBox, ByVal 0, ByVal 0)
-	End Function
-
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF,
-		ByRef codepointsFitted As Long) As Status
-
-		Return MeasureString(str, length, font, layoutRect, stringFormat, boundingBox, codepointsFitted, ByVal 0)
-	End Function
-
-	Const Function MeasureString(str As PCWSTR, length As Long, ByRef font As /*Const*/ Font, ByRef layoutRect As /*Const*/ RectangleF,
-		ByRef stringFormat As /*Const*/ StringFormat, ByRef boundingBox As RectangleF,
-		ByRef codepointsFitted As Long, ByRef linesFilled As Long) As Status
-
-		Dim nativeFont As *GpFont
-		If VarPtr(font) <> 0 Then
-			nativeFont = font.nativeFormat
-		Else
-			nativeFont = 0
-		End If
-		Dim nativeFormat As *GpStringFormat
-		If VarPtr(stringFormat) <> 0 Then
-			nativeFormat = stringFormat.nativeFormat
-		Else
-			nativeFormat = 0
-		End If
 		Return SetStatus(GdipMeasureString(nativeGraphics, str, length, nativeFont, layoutRect, nativeFormat,
 			boundingBox, codepointsFitted, linesFilled))
@@ -869,5 +880,5 @@
 		ByRef size As SizeF) As Status
 
-			Return MeasureString, str, length, font, layoutRectSize, stringFormat, size, ByVal 0, ByVal 0)
+			Return MeasureString(str, length, font, layoutRectSize, stringFormat, size, ByVal 0, ByVal 0)
 	End Function
 
@@ -876,5 +887,5 @@
 		ByRef size As SizeF, ByRef codepointsFitted As Long) As Status
 
-			Return MeasureString, str, length, font, layoutRectSize, stringFormat, size, codepointsFitted, ByVal 0)
+			Return MeasureString(str, length, font, layoutRectSize, stringFormat, size, codepointsFitted, ByVal 0)
 	End Function
 
@@ -906,5 +917,5 @@
 			nativeFont, layoutRect, nativeFormat, pBoundingBox, codepointsFitted, linesFilled))
 
-		If VarPtr(size) <> 0 And status = Ok Then
+		If VarPtr(size) <> 0 And status = Status.Ok Then
 			size.Width  = boundingBox.Width
 			size.Height = boundingBox.Height
@@ -1050,5 +1061,5 @@
 	' native format differs from this Graphics.
 
-	Function DrawCachedBitmap(ByRef cb As CachedBitma, x As Long, y As Long) As Status
+	Function DrawCachedBitmap(ByRef cb As CachedBitmap, x As Long, y As Long) As Status
 		Return SetStatus(GdipDrawCachedBitmap(nativeGraphics, cb->nativeCachedBitmap, x, y))
 	End Function
@@ -1061,5 +1072,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1075,5 +1086,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1089,5 +1100,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1103,5 +1114,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1125,5 +1136,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1139,5 +1150,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1151,5 +1162,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1185,5 +1196,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1191,5 +1202,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1228,5 +1239,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1234,5 +1245,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1248,5 +1259,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1281,5 +1292,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1287,5 +1298,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1310,8 +1321,8 @@
 	End Function
 
-	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long,
-		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit,
+	Function DrawImage(ByRef image As Image, destPoints As /*Const*/ Point, count As Long, _
+		srcx As Long, srcy As Long, srcwidth As Long, srcheight As Long, srcUnit As GraphicsUnit, _
 		ByRef imageAttributes As /*Const*/ ImageAttributes,
-		DrawImageAbort callback As DrawImageAbort) As Status
+		callback As DrawImageAbort) As Status
 
 		Return DrawImage(image, destPoints, count, srcx, srcy, srcwidth, srcheight, srcUnit, imageAttributes, callback, 0)
@@ -1324,5 +1335,5 @@
 		Dim nativeImage As *GpImage
 		If VarPtr(image) <> 0 Then
-			nativeImage = image.nativeImage
+			nativeImage = image.NativeImage
 		Else
 			nativeImage = 0
@@ -1330,5 +1341,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1402,5 +1413,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1408,5 +1419,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1434,5 +1445,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1440,5 +1451,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1466,5 +1477,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1472,5 +1483,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1498,5 +1509,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1504,5 +1515,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1530,5 +1541,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1536,5 +1547,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1562,5 +1573,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1568,5 +1579,5 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
@@ -1597,5 +1608,5 @@
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1603,15 +1614,15 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
 		End If
 
-		Return SetStatus(GdipEnumerateMetafileSrcRectDestPoint(nativeGraphics,
-			nativeImage, destPoint, srcRect, srcUnit, callback, callbackData, nativeImageAttr)
-	End Function
-
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+		Return SetStatus(GdipEnumerateMetafileSrcRectDestPoint(nativeGraphics, _
+			nativeImage, destPoint, srcRect, srcUnit, callback, callbackData, nativeImageAttr))
+	End Function
+
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1619,6 +1630,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1626,11 +1637,11 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destPoint As /*Const*/ Point, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1638,15 +1649,15 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
 		End If
 
-		Return SetStatus(GdipEnumerateMetafileSrcRectDestPointI(nativeGraphics,
-			nativeImage, destPoint, srcRect, srcUnit, callback, callbackData, nativeImageAttr)
-	End Function
-
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+		Return SetStatus(GdipEnumerateMetafileSrcRectDestPointI(nativeGraphics, _
+			nativeImage, destPoint, srcRect, srcUnit, callback, callbackData, nativeImageAttr))
+	End Function
+
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1654,6 +1665,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1661,11 +1672,11 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destRect As /*Const*/ RectangleF, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1673,15 +1684,15 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
 		End If
 
-		Return SetStatus(GdipEnumerateMetafileSrcRectDestRect(nativeGraphics,
+		Return SetStatus(GdipEnumerateMetafileSrcRectDestRect(nativeGraphics, _
 			nativeImage, destRect, srcRect, srcUnit, callback, callbackData, nativeImageAttr))
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1689,6 +1700,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1696,11 +1707,11 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		ByRef destRect As /*Const*/ Rectangle, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1708,15 +1719,15 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
 		End If
 
-		Return SetStatus(GdipEnumerateMetafileSrcRectDestRectI(nativeGraphics,
+		Return SetStatus(GdipEnumerateMetafileSrcRectDestRectI(nativeGraphics, _
 			nativeImage, destRect, srcRect, srcUnit, callback, callbackData, nativeImageAttr))
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1724,6 +1735,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1731,11 +1742,11 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *PointF, count As Long, ByRef srcRect As /*Const*/ RectangleF, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1743,15 +1754,15 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
 		End If
 
-		Return SetStatus(GdipEnumerateMetafileSrcRectDestPoints(nativeGraphics,
-			nativeImage, destPoints, count, srcRect, srcUnit, callback, callbackData, nativeImageAttr)
-	End Function
-
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+		Return SetStatus(GdipEnumerateMetafileSrcRectDestPoints(nativeGraphics, _
+			nativeImage, destPoints, count, srcRect, srcUnit, callback, callbackData, nativeImageAttr))
+	End Function
+
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc) As Status
 
@@ -1759,6 +1770,6 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr) As Status
 
@@ -1766,11 +1777,11 @@
 	End Function
 
-	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile,
-		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit,
+	Function EnumerateMetafile(ByRef metafile As /*Const*/ Metafile, _
+		destPoints As /*Const*/ *Point, count As Long, ByRef srcRect As /*Const*/ Rectangle, srcUnit As GraphicsUnit, _
 		callback As EnumerateMetafileProc, callbackData As VoidPtr, ByRef imageAttributes As /*Const*/ ImageAttributes) As Status
 
 		Dim nativeImage As /*Const*/ *GpMetafile
 		If VarPtr(metafile) <> 0 Then
-			nativeImage = metafile.nativeImage
+			nativeImage = metafile.NativeImage
 		Else
 			nativeImage = 0
@@ -1778,11 +1789,11 @@
 		Dim nativeImageAttr As *GpImageAttributes
 		If VarPtr(imageAttributes) <> 0 Then
-			nativeImageAttr = image.nativeImageAttr
+			nativeImageAttr = image.NativeImageAttr
 		Else
 			nativeImageAttr = 0
 		End If
 
-		Return SetStatus(GdipEnumerateMetafileSrcRectDestPointsI(nativeGraphics,
-			nativeImage, destPoints, count, srcRect, srcUnit, callback, callbackData, nativeImageAttr)
+		Return SetStatus(GdipEnumerateMetafileSrcRectDestPointsI(nativeGraphics, nativeImage, _
+			destPoints, count, srcRect, srcUnit, callback, callbackData, nativeImageAttr))
 	End Function
 
@@ -1980,7 +1991,7 @@
 
 Private
-	Sub Graphics(ByRef gr As Graphics)
-		Debug
-	End Sub
+'	Sub Graphics(ByRef gr As Graphics)
+'		Debug
+'	End Sub
 	Sub Operator =(ByRef gr As Graphics)
 		Debug
@@ -1989,5 +2000,5 @@
 Protected
 	Sub Graphics(graphics As *GpGraphics)
-		lastResult = Ok
+		lastResult = Status.Ok
 		SetNativeGraphics(graphics)
 	End Sub
@@ -2008,5 +2019,5 @@
 	End Function
 
-	Function GetNativePen(const Pen* pen) As *GpPen
+	Function GetNativePen(pen As /*Const*/ *Pen) As *GpPen
 		Return pen->nativePen
 	End Function
